DEBDIFF-APPLY(1)

NOM
debdiff-apply - Appliquer un debdiff à un paquet source Debian

SYNOPSIS
debdiff-apply [options] [dsc_ou_dir_origine] [fichier_rustine]
debdiff-apply [options] < [fichier_rustine]

DESCRIPTION
debdiff-apply prend en argument un fichier_rustine qui décrit les différences entre deux paquets source Debian ancien et nouveau, et l’applique à un paquet source Debian cible origine.

origine peut être le même que ancien ou être différent. fichier_rustine doit être un fichier de différences unifié entre deux arborescences de sources Debian, tel que debdiff(1) les crée normalement.

Toutes les modifications de debian/changelog sont traitées spécifiquement pour éviter les conflits que les différentiels de journaux de modifications produisent habituellement lorsqu’ils sont appliqués de façon simpliste. Le comportement exact pourra être ajusté à l’avenir, aussi, il ne faut pas s’y fier.

Si un fichier_rustine n’est pas appliqué à origine, même après un traitement de la casse de debian/changelog, aucune modification n’est réalisée et debdiff-apply(1) se termine avec un code d’erreur non nul.

PARAMÈTRES

dsc_ou_dir_origine
    Cible à laquelle appliquer la rustine. Ce peut être soit une arborescence de sources décompressée ou un fichier .dsc. Dans le premier cas, le répertoire est modifié sur place ; dans l’autre, un second fichier .dsc est créé. Par défaut . est utilisé

fichier_rustine
    Fichier de rustine à appliquer, dans le format produit par debdiff(1). Par défaut /dev/stdin est utilisé

OPTIONS

-h, --help
    afficher ce message d’aide et quitter

-v, --verbose
    Afficher plus de renseignements

-c JOURNAL DES MODIFICATIONS, --changelog JOURNAL DES MODIFICATIONS
    Chemin vers debian/changelog. Par défaut debian/changelog est utilisé

-D DISTRIBUTION, --distribution DISTRIBUTION
    Distribution à utiliser si le correctif ne contient pas déjà un journal des modifications. Par défaut experimental est utilisé

--repl
    Exécuter le REPL Python après le traitement.

--source-version
    Ne pas appliquer le correctif ; afficher à la place la version du paquet auquel il est censé être appliqué, ou rien si le correctif ne précise pas une version du source.

--target-version
    Ne pas appliquer le correctif ; afficher à la place la nouvelle version du paquet que debdiff-apply(1) pourrait créer lors de l’application au paquet cible donné, tel que spécifié par les autres paramètres.

  Pour les cibles des correctifs .dsc :

--no-clean
    Ne pas nettoyer les répertoires temporaires après un échec, pour pouvoir examiner ce qui a échoué.

--quilt-refresh
    Si la construction du nouveau paquet source échoue, essayer d’actualiser les correctifs en utilisant quilt(1), puis essayer une nouvelle construction.

-d RÉPERTOIRE, --directory RÉPERTOIRE
    Extraire le fichier .dsc dans ce répertoire qui ne sera pas nettoyé après l’achèvement de debdiff-apply(1). S’il n’est pas indiqué, alors, le fichier sera extrait dans un répertoire temporaire.

AUTEURS
debdiff-apply et cette page de manuel ont été écrites par Ximin Luo <infinity0@debian.org>

Toutes deux sont publiées sous la GNU General Public License, version 3 ou suivante.

VOIR AUSSI
debdiff(1)

TRADUCTION
Ce document est une traduction, maintenue à lʼaide de lʼoutil po4a <https://po4a.org/> par lʼéquipe de traduction francophone du projet Debian.

Plusieurs traducteurs dont Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux, David Prévot et Xavier Guimard ont contribué aux traductions.

Lʼéquipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant lʼoption « -L C » à la commande man.